%define pypi_name	appdirs

%bcond_with check

Name:		python-%{pypi_name}
Version:	1.4.4
Release:	%mkrel 10
Summary:	Python module for determining platform-specific directories
License:	MIT
Group:		Development/Python
URL:		https://github.com/ActiveState/appdirs
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
%if %{with check}
BuildRequires:	python3dist(pytest)
%endif

%description
A small Python module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

#------------------------------------------------

%package -n	python3-%{pypi_name}
Summary:	Python 3 module for determining platform-specific directories
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
A small Python 3 module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

#------------------------------------------------
%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{pypi_name}.py

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGES.rst


%changelog
* Fri Feb 21 2025 wally <wally> 1.4.4-10.mga10
+ Revision: 2150635
- rebuild for python3.13 without tests

* Tue Jan 16 2024 daviddavid <daviddavid> 1.4.4-9.mga10
+ Revision: 2031472
- rebuild again to remove old pkgs

* Sat Dec 09 2023 papoteur <papoteur> 1.4.4-8.mga10
+ Revision: 2015996
- rebuild for python 3.12
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 1.4.4-6.mga10
+ Revision: 2015275
- rebuild for py3.12
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 1.4.4-5.mga9
+ Revision: 1823065
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.4.4-4.mga9
+ Revision: 1779228
- Rebuild for python-3.10

* Fri Feb 11 2022 wally <wally> 1.4.4-3.mga9
+ Revision: 1772915
- rebuild for python3.10

* Mon Mar 15 2021 neoclust <neoclust> 1.4.4-2.mga9
+ Revision: 1703232
- Rebuild against python 3.9

* Wed Jun 17 2020 daviddavid <daviddavid> 1.4.4-1.mga8
+ Revision: 1594173
- new version: 1.4.4

* Sun Feb 16 2020 umeabot <umeabot> 1.4.3-6.mga8
+ Revision: 1530986
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.4.3-5.mga8
+ Revision: 1438214
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.4.3-4.mga7
+ Revision: 1349692
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.3-3.mga7
+ Revision: 1288239
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.4.3-2.mga7
+ Revision: 1135307
- Rebuild for python 3.6

* Wed Apr 26 2017 akien <akien> 1.4.3-1.mga6
+ Revision: 1097545
- Version 1.4.3

* Fri Feb 19 2016 umeabot <umeabot> 1.4.0-3.mga6
+ Revision: 970447
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.4.0-2.mga6
+ Revision: 886785
- rebuild for python 3.5
- use new python macros

* Sat Aug 15 2015 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 864818
- imported package python-appdirs (based on Fedora)
- split to a python2 subpackage and to a python3 subpackage
- use python2 macros

